//
//  bt_att_data.h
//
//  Bluetooth Protocol Stack - Attribute Database manager - database parameter
//      Watt Hour Meter 0.6.5
//
//  Update history
//  ---------- ----- -------------------------------------------
//  2015.02.20 v0.3b The new "bt_att_data.c" is independent of the ATT database user data
//  2016.01.24 v0.0  WHM 0.6.5
//
#ifndef BT_ATT_DATA_H
#define	BT_ATT_DATA_H

//
//  Sample Service (private)
//

// SERVICE-UUID:
#define UUID_MY_SERVICE     0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216c00

// CHARACTERISTIC-UUID:
#define UUID_MY_CHAR0       0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d00
#define UUID_MY_CHAR1       0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d01
#define UUID_MY_CHAR2       0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d02
#define UUID_MY_CHAR3       0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d03
#define UUID_MY_CHAR4       0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d04
#define UUID_MY_CHAR10      0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d10
#define UUID_MY_CHAR11      0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d11
#define UUID_MY_CHAR12      0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d12
#define UUID_MY_CHAR13      0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d13
#define UUID_MY_CHAR14      0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d14
#define UUID_MY_CHAR15      0xb61cf193,0x79b3,0x450a,0xbe2f,0x16d46e216d15

// Join to user program
#define ATT_DB_HANDLE_DATETIME  0x1002
#define ATT_DB_HANDLE_CH1       0x1012
#define ATT_DB_HANDLE_CH2       0x1022
#define ATT_DB_HANDLE_CH3       0x1032
#define ATT_DB_HANDLE_CH4       0x1042
#define ATT_DB_HANDLE_HISTORY   0x1102 
#define ATT_DB_HANDLE_ANSWER    0x1112
#define ATT_DB_HANDLE_SETUP     0x1122
#define ATT_DB_HANDLE_SETTING   0x1132
#define ATT_DB_HANDLE_HISTORY2  0x1142 
#define ATT_DB_HANDLE_ANSWER2   0x1152

#endif	/* BT_ATT_DATA_H */

