//
//  bt_l2cap_cb_service.h
//
//  Bluetooth Protocol Stack - Service management control block operation
//  Copyright (C) 2013-2015 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//  Update history
//  ---------- ----- -------------------------------------------
//  2013.01.21 v0.0  First cording
//  2013.04.21 v0.1  Commit
//  2013.05.08 v0.1  Changed a control block structure
//  2015.02.03 v0.3  Supported the PIC32
//
#ifndef BT_L2CAP_SERVICE_H_
#define BT_L2CAP_SERVICE_H_

#include <string.h>
#include "bt_l2cap_cb_channel.h"

#define BT_L2CAP_SERVICE_CID_TO_PSM     0x0f00      // Local rule

//
//  Control block
//
struct bt_l2capService {
    struct bt_l2capService *next;
    unsigned short          psm;
    size_t                  (*serviceProg)(unsigned short handle, unsigned char *inBuff, size_t inLen, unsigned char *outBuff, size_t outSize);
};

//
//  API
//
extern struct bt_l2capService  *bt_l2capServiceGetNext(struct bt_l2capService **id);    // ADD 2015.02.03
extern struct bt_l2capService  *bt_l2capServiceFind(unsigned short psm);
extern struct bt_l2capService  *bt_l2capServiceAdd(unsigned short psm);
extern void                     bt_l2capServiceDelete(struct bt_l2capService *p);
extern void                     bt_l2capServiceClear(void);                             // ADD 2015.02.03

#endif /* BT_L2CAP_SERVICE_H_ */
