//
//  bt_sdp_server.h
//
//  Bluetooth Protocol Stack - SDP Server
//  Copyright (C) 2013 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//  Reference:
//      Bluetooth SIG (www.bluetooth.com)
//          BLUETOOTH SPECIFICATION Version 2.0 + EDR
//          Volume 3: Core System Package [Host volume]
//          PartB: Service Discovery Protocol (SDP) Specification
//
//  Update history
//  ---------- ----- -------------------------------------------
//  2013.02.01 v0.0  First cording
//  2013.04.21 v0.1  Commit
//
#ifndef BT_SDP_SERVER_H_
#define BT_SDP_SERVER_H_

#include <string.h>

extern size_t bt_sdpServer(
        unsigned short  handle,             // Communication handle
        unsigned char  *inBuff,
        size_t          inLen,
        unsigned char  *outBuff,
        size_t          outSize);

#endif /* BT_SDP_SERVER_H_ */
